boost::geometry::side_info Class Reference

Class side_info: small class wrapping for sides (-1,0,1) More...

List of all members.

## Public Member Functions

bool | collinear () const
template<int Which, int Index>
void | correct_to_zero ()
bool | crossing () const
template<int Which, int Index>
int | get () const
bool | meeting () const
bool | one_of_all_zero () const
template<int Which>
bool | one_touching () const
template<int Which>
bool | one_zero () const
void | reverse ()
template<int Which>
bool | same () const
template<int Which>
void | set (int first, int second)
| side_info (int side_a1=0, int side_a2=0, int side_b1=0, int side_b2=0)
bool | touching () const
template<int Which>
bool | zero () const
template<int Which>
int | zero_index () const

## Public Attributes

std::pair< int, int > | sides [2]

## Detailed Description

Class side_info: small class wrapping for sides (-1,0,1)

## Constructor & Destructor Documentation

boost::geometry::side_info::side_info | ( | int | side_a1 = `0`,
|  | int | side_a2 = `0`,
|  | int | side_b1 = `0`,
|  | int | side_b2 = `0`
| ) |  |

## Member Function Documentation

template<int Which>

void boost::geometry::side_info::set | ( | int | first,
|  | int | second
| ) |  |

template<int Which, int Index>

void boost::geometry::side_info::correct_to_zero | ( |  | ) |

template<int Which, int Index>

int boost::geometry::side_info::get | ( |  | ) | const

template<int Which>

bool boost::geometry::side_info::same | ( |  | ) | const

bool boost::geometry::side_info::collinear | ( |  | ) | const

bool boost::geometry::side_info::crossing | ( |  | ) | const

bool boost::geometry::side_info::touching | ( |  | ) | const

template<int Which>

bool boost::geometry::side_info::one_touching | ( |  | ) | const

bool boost::geometry::side_info::meeting | ( |  | ) | const

template<int Which>

bool boost::geometry::side_info::zero | ( |  | ) | const

template<int Which>

bool boost::geometry::side_info::one_zero | ( |  | ) | const

bool boost::geometry::side_info::one_of_all_zero | ( |  | ) | const

template<int Which>

int boost::geometry::side_info::zero_index | ( |  | ) | const

void boost::geometry::side_info::reverse | ( |  | ) |

## Member Data Documentation

std::pair<int, int> boost::geometry::side_info::sides[2]

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK